// Copyright (C) Kimmo Lahtinen - All Rights Reserved

// Input from engine (per vertex)
attribute highp vec2 in_pos;
attribute highp vec2 in_uv;
attribute mediump float in_alpha;

// Output to pixel shader
varying mediump vec2 pixel_uv;
varying mediump float pixel_alpha;

void main(void)
{
	gl_Position = to_screen_pos_2d(in_pos);
	pixel_uv 	= in_uv;
	pixel_alpha	= in_alpha;
}
